<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Response;
        
class ProductListItemResponse 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category */
    public \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category;
    /** @var string $name Name of the product*/
    public string $name;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory  $category 
     * @param  string  $name Name of the product
     */
    public function __construct(string $id, \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category, string $name)
    {
        $this->id = $id;
        $this->category = $category;
        $this->name = $name;
    }
    

}