<?php
namespace Bushelpowered\Api\Data\Analytics\V1\Response;
        
class PageTitleResponse 
{
    /** @var string $company */
    public string $company;
    /** @var null|string $date */
    public ?string $date = null;
    /** @var null|string $pageTitle */
    public ?string $pageTitle = null;
    /** @var null|int $pageViews */
    public ?int $pageViews = null;
    /** @var null|int $visitors */
    public ?int $visitors = null;
    /** @var null|int $totalTimeSpent */
    public ?int $totalTimeSpent = null;
    /** @var null|float $avgTimeSpent */
    public ?float $avgTimeSpent = null;

    /**
     * @param  string  $company 
     * @param  null|string  $date 
     * @param  null|string  $pageTitle 
     * @param  null|int  $pageViews 
     * @param  null|int  $visitors 
     * @param  null|int  $totalTimeSpent 
     * @param  null|float  $avgTimeSpent 
     */
    public function __construct(string $company, ?string $date, ?string $pageTitle, ?int $pageViews, ?int $visitors, ?int $totalTimeSpent, ?float $avgTimeSpent)
    {
        $this->company = $company;
        $this->date = $date;
        $this->pageTitle = $pageTitle;
        $this->pageViews = $pageViews;
        $this->visitors = $visitors;
        $this->totalTimeSpent = $totalTimeSpent;
        $this->avgTimeSpent = $avgTimeSpent;
    }
    

}