<?php
namespace Bushelpowered\Api\Grain\Contracts\V1\Model;
        
class PricingHistorySyncWrapper implements \Bushelpowered\Api\Common\Event\SyncWrapper
{
    /** @var \Bushelpowered\Api\Grain\Contracts\V1\Model\PricingHistoryRaw[] $data A wrapper for nested entities. Implementations should use the mixin, and be a nullable property. Values are intended to be treated in the following manner:<br>  1. A null value is ignored by the ingesting service.<br>  2. A populated list persists the EXACT state of the entities.<br>An empty list deletes anything previously persisted!*/
    public array $data;

    /**
     * @param  \Bushelpowered\Api\Grain\Contracts\V1\Model\PricingHistoryRaw[]  $data A wrapper for nested entities. Implementations should use the mixin, and be a nullable property. Values are intended to be treated in the following manner:<br>  1. A null value is ignored by the ingesting service.<br>  2. A populated list persists the EXACT state of the entities.<br>An empty list deletes anything previously persisted!
     */
    public function __construct(array $data)
    {
        $this->data = $data;
    }
    
    /**
     * @return \Bushelpowered\Api\Grain\Contracts\V1\Model\PricingHistoryRaw[] A wrapper for nested entities. Implementations should use the mixin, and be a nullable property. Values are intended to be treated in the following manner:<br>  1. A null value is ignored by the ingesting service.<br>  2. A populated list persists the EXACT state of the entities.<br>An empty list deletes anything previously persisted!
     */
    public function getData(): array
    {
        return $this->data;
    }
}