<?php
namespace Bushelpowered\Api\Platform\Message\V1\Request;
        
class SendMessageRequest 
{
    /** @var \Bushelpowered\Api\Platform\Message\V1\Request\MessageTargetData $targetData */
    public \Bushelpowered\Api\Platform\Message\V1\Request\MessageTargetData $targetData;
    /** @var null|string $title */
    public ?string $title = null;
    /** @var null|string $body */
    public ?string $body = null;
    /** @var \Bushelpowered\Api\Platform\Message\V1\Request\Channel[] $channels */
    public array $channels;

    /**
     * @param  \Bushelpowered\Api\Platform\Message\V1\Request\MessageTargetData  $targetData 
     * @param  null|string  $title 
     * @param  null|string  $body 
     * @param  \Bushelpowered\Api\Platform\Message\V1\Request\Channel[]  $channels 
     */
    public function __construct(\Bushelpowered\Api\Platform\Message\V1\Request\MessageTargetData $targetData, ?string $title, ?string $body, array $channels)
    {
        $this->targetData = $targetData;
        $this->title = $title;
        $this->body = $body;
        $this->channels = $channels;
    }
    

}