<?php
namespace Bushelpowered\Api\Aggregator\Config\V1\Response;
        
class GetAppConfigBrandResponse 
{
    /** @var string $colorPrimary The primary color*/
    public string $colorPrimary;
    /** @var string $colorSecondary */
    public string $colorSecondary;
    /** @var null|string $logoIdUrl */
    public ?string $logoIdUrl = null;
    /** @var null|string $logoStackedUrl */
    public ?string $logoStackedUrl = null;
    /** @var null|string $iosSplashScreenUrl */
    public ?string $iosSplashScreenUrl = null;

    /**
     * @param  string  $colorPrimary The primary color
     * @param  string  $colorSecondary 
     * @param  null|string  $logoIdUrl 
     * @param  null|string  $logoStackedUrl 
     * @param  null|string  $iosSplashScreenUrl 
     */
    public function __construct(string $colorPrimary, string $colorSecondary, ?string $logoIdUrl, ?string $logoStackedUrl, ?string $iosSplashScreenUrl)
    {
        $this->colorPrimary = $colorPrimary;
        $this->colorSecondary = $colorSecondary;
        $this->logoIdUrl = $logoIdUrl;
        $this->logoStackedUrl = $logoStackedUrl;
        $this->iosSplashScreenUrl = $iosSplashScreenUrl;
    }
    

}