<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class BidDetailRequest 
{
    /** @var bool $convertBasis Whether or not to convert the Basis Price.*/
    public bool $convertBasis;
    /** @var string $bidId The bid id to get details for.*/
    public string $bidId;

    /**
     * @param  bool  $convertBasis Whether or not to convert the Basis Price.
     * @param  string  $bidId The bid id to get details for.
     */
    public function __construct(bool $convertBasis, string $bidId)
    {
        $this->convertBasis = $convertBasis;
        $this->bidId = $bidId;
    }
    

}